        .nolist

; Constants
.equ SPM_PAGESIZE, 128
.equ RAMSTART,     0x100
.equ RAMEND,       0x4FF
.equ XRAMSIZE,     0
.equ XRAMEND,      RAMEND
.equ E2END,        0x1FF
.equ E2PAGESIZE,   4
.equ FLASHEND,     0x3FFF

; Fuse Information
.equ FUSE_MEMORY_SIZE, 3

; Low Fuse Byte
.equ FUSE_CKDIV8, 0x80 ; Divide clock by 8
.equ FUSE_CKOUT,  0x40 ; Clock output
.equ FUSE_SUT1,   0x20 ; Select start-up time
.equ FUSE_SUT0,   0x10 ; Select start-up time
.equ FUSE_CKSEL3, 0x08 ; Select Clock Source
.equ FUSE_CKSEL2, 0x04 ; Select Clock Source
.equ FUSE_CKSEL1, 0x02 ; Select Clock Source
.equ FUSE_CKSEL0, 0x01 ; Select Clock Source
.equ LFUSE_DEFAULT, (FUSE_CKSEL0 & FUSE_CKSEL2 & FUSE_CKSEL3 & FUSE_SUT0 & FUSE_CKDIV8)

; High Fuse Byte
.equ FUSE_BOOTRST,     0x01
.equ FUSE_BOOTSZ0,     0x02
.equ FUSE_BOOTSZ1,     0x04
.equ FUSE_EESAVE,      0x08 ; EEPROM memory is preserved through chip erase
.equ FUSE_WDTON,       0x10 ; Watchdog Timer Always On
.equ FUSE_SPIEN,       0x20 ; Enable Serial programming and Data Downloading
.equ FUSE_JTAGEN,      0x40 ; JTAG Enable
.equ FUSE_OCDEN,       0x80 ; External reset disable
.equ FUSE_HFUSE_DEFAULT, (FUSE_BOOTSZ0 & FUSE_BOOTSZ1 & FUSE_SPIEN & FUSE_JTAGEN)

; Extended Fuse Byte
.equ FUSE_BODLEVEL0,   0x01 ; Brown-out Detector trigger level
.equ FUSE_BODLEVEL1,   0x02 ; Brown-out Detector trigger level
.equ FUSE_BODLEVEL2,   0x04 ; Brown-out Detector trigger level
.equ EFUSE_DEFAULT, 0xff

; Lock Bits
.equ __LOCK_BITS_EXIST, 1
.equ __BOOT_LOCK_BITS_0_EXIST, 1
.equ __BOOT_LOCK_BITS_1_EXIST, 1

; Signature
.equ SIGNATURE_0, 0x1E
.equ SIGNATURE_1, 0x94
.equ SIGNATURE_2, 0x05

; Registers and associated bit numbers

.equ PINA, 0x00
.equ PINA0, 0
.equ PINA1, 1
.equ PINA2, 2
.equ PINA3, 3
.equ PINA4, 4
.equ PINA5, 5
.equ PINA6, 6
.equ PINA7, 7

.equ DDRA, 0x01
.equ DDA0, 0
.equ DDA1, 1
.equ DDA2, 2
.equ DDA3, 3
.equ DDA4, 4
.equ DDA5, 5
.equ DDA6, 6
.equ DDA7, 7

.equ PORTA, 0x02
.equ PORTA0, 0
.equ PORTA1, 1
.equ PORTA2, 2
.equ PORTA3, 3
.equ PORTA4, 4
.equ PORTA5, 5
.equ PORTA6, 6
.equ PORTA7, 7

.equ PINB, 0x03
.equ PINB0, 0
.equ PINB1, 1
.equ PINB2, 2
.equ PINB3, 3
.equ PINB4, 4
.equ PINB5, 5
.equ PINB6, 6
.equ PINB7, 7

.equ DDRB, 0x04
.equ DDB0, 0
.equ DDB1, 1
.equ DDB2, 2
.equ DDB3, 3
.equ DDB4, 4
.equ DDB5, 5
.equ DDB6, 6
.equ DDB7, 7

.equ PORTB, 0x05
.equ PORTB0, 0
.equ PORTB1, 1
.equ PORTB2, 2
.equ PORTB3, 3
.equ PORTB4, 4
.equ PORTB5, 5
.equ PORTB6, 6
.equ PORTB7, 7

.equ PINC, 0x06
.equ PINC0, 0
.equ PINC1, 1
.equ PINC2, 2
.equ PINC3, 3
.equ PINC4, 4
.equ PINC5, 5
.equ PINC6, 6

.equ DDRC, 0x07
.equ DDC0, 0
.equ DDC1, 1
.equ DDC2, 2
.equ DDC3, 3
.equ DDC4, 4
.equ DDC5, 5
.equ DDC6, 6

.equ PORTC, 0x08
.equ PORTC0, 0
.equ PORTC1, 1
.equ PORTC2, 2
.equ PORTC3, 3
.equ PORTC4, 4
.equ PORTC5, 5
.equ PORTC6, 6

.equ PIND, 0x09
.equ PIND0, 0
.equ PIND1, 1
.equ PIND2, 2
.equ PIND3, 3
.equ PIND4, 4
.equ PIND5, 5
.equ PIND6, 6
.equ PIND7, 7

.equ DDRD, 0x0A
.equ DDD0, 0
.equ DDD1, 1
.equ DDD2, 2
.equ DDD3, 3
.equ DDD4, 4
.equ DDD5, 5
.equ DDD6, 6
.equ DDD7, 7

.equ PORTD, 0x0B
.equ PORTD0, 0
.equ PORTD1, 1
.equ PORTD2, 2
.equ PORTD3, 3
.equ PORTD4, 4
.equ PORTD5, 5
.equ PORTD6, 6
.equ PORTD7, 7

.equ PINE, 0x0C
.equ PINE0, 0
.equ PINE1, 1
.equ PINE2, 2
.equ PINE3, 3
.equ PINE4, 4
.equ PINE5, 5
.equ PINE6, 6
.equ PINE7, 7

.equ DDRE, 0x0D
.equ DDE0, 0
.equ DDE1, 1
.equ DDE2, 2
.equ DDE3, 3
.equ DDE4, 4
.equ DDE5, 5
.equ DDE6, 6
.equ DDE7, 7

.equ PORTE, 0x0E
.equ PORTE0, 0
.equ PORTE1, 1
.equ PORTE2, 2
.equ PORTE3, 3
.equ PORTE4, 4
.equ PORTE5, 5
.equ PORTE6, 6
.equ PORTE7, 7

.equ PINF, 0x0F
.equ PINF0, 0
.equ PINF1, 1
.equ PINF2, 2
.equ PINF3, 3
.equ PINF4, 4
.equ PINF5, 5
.equ PINF6, 6
.equ PINF7, 7

.equ DDRF, 0x10
.equ DDF0, 0
.equ DDF1, 1
.equ DDF2, 2
.equ DDF3, 3
.equ DDF4, 4
.equ DDF5, 5
.equ DDF6, 6
.equ DDF7, 7

.equ PORTF, 0x11
.equ PORTF0, 0
.equ PORTF1, 1
.equ PORTF2, 2
.equ PORTF3, 3
.equ PORTF4, 4
.equ PORTF5, 5
.equ PORTF6, 6
.equ PORTF7, 7

.equ PING, 0x12
.equ PING0, 0
.equ PING1, 1
.equ PING2, 2
.equ PING3, 3
.equ PING4, 4
.equ PING5, 5
.equ PING6, 6
.equ PING7, 7

.equ DDRG, 0x13
.equ DDG0, 0
.equ DDG1, 1
.equ DDG2, 2
.equ DDG3, 3
.equ DDG4, 4
.equ DDG5, 5
.equ DDG6, 6
.equ DDG7, 7

.equ PORTG, 0x14
.equ PORTG0, 0
.equ PORTG1, 1
.equ PORTG2, 2
.equ PORTG3, 3
.equ PORTG4, 4
.equ PORTG5, 5
.equ PORTG6, 6
.equ PORTG7, 7

.equ TIFR0, 0x15
.equ TOV0, 0
.equ OCF0A, 1

.equ TIFR1, 0x16
.equ TOV1, 0
.equ OCF1A, 1
.equ OCF1B, 2
.equ ICF1, 5

.equ TIFR2, 0x17
.equ TOV2, 0
.equ OCF2A, 1

;.equ PCIFR, 0x1B
;.equ PCIF0, 0
;.equ PCIF1, 1
;.equ PCIF2, 2

.equ EIFR, 0x1C
.equ PCIF1, 7
.equ PCIF0, 6
.equ INTF0, 0

.equ EIMSK, 0x1D
.equ PCIE1, 7
.equ PCIE0, 6
.equ INT0,  0

.equ GPIOR0, 0x1E
.equ GPIOR00, 0
.equ GPIOR01, 1
.equ GPIOR02, 2
.equ GPIOR03, 3
.equ GPIOR04, 4
.equ GPIOR05, 5
.equ GPIOR06, 6
.equ GPIOR07, 7

.equ EECR, 0x1F
.equ EERE, 0
.equ EEWE, 1
.equ EEMWE, 2
.equ EERIE, 3

.equ EEDR, 0x20
.equ EEDR0, 0
.equ EEDR1, 1
.equ EEDR2, 2
.equ EEDR3, 3
.equ EEDR4, 4
.equ EEDR5, 5
.equ EEDR6, 6
.equ EEDR7, 7

.equ EEARL, 0x21
.equ EEAR0, 0
.equ EEAR1, 1
.equ EEAR2, 2
.equ EEAR3, 3
.equ EEAR4, 4
.equ EEAR5, 5
.equ EEAR6, 6
.equ EEAR7, 7

.equ EEARH, 0x22
.equ EEAR8, 0
.equ EEAR9, 1
.equ EEAR,  0x21

.equ GTCCR, 0x23
.equ PSR10, 0
.equ PSR2, 1
.equ TSM, 7

.equ TCCR0A, 0x24
.equ CS00,   0
.equ CS01,   1
.equ CS02,   2
.equ WGM01,  3
.equ COM0A0, 4
.equ COM0A1, 5
.equ WGM00,  6
.equ FOC0A,  7

.equ TCNT0, 0x26
.equ TCNT0_0, 0
.equ TCNT0_1, 1
.equ TCNT0_2, 2
.equ TCNT0_3, 3
.equ TCNT0_4, 4
.equ TCNT0_5, 5
.equ TCNT0_6, 6
.equ TCNT0_7, 7

.equ OCR0A, 0x27
.equ OCR0A_0, 0
.equ OCR0A_1, 1
.equ OCR0A_2, 2
.equ OCR0A_3, 3
.equ OCR0A_4, 4
.equ OCR0A_5, 5
.equ OCR0A_6, 6
.equ OCR0A_7, 7

.equ GPIOR1, 0x2A
.equ GPIOR10, 0
.equ GPIOR11, 1
.equ GPIOR12, 2
.equ GPIOR13, 3
.equ GPIOR14, 4
.equ GPIOR15, 5
.equ GPIOR16, 6
.equ GPIOR17, 7

.equ GPIOR2, 0x2B
.equ GPIOR20, 0
.equ GPIOR21, 1
.equ GPIOR22, 2
.equ GPIOR23, 3
.equ GPIOR24, 4
.equ GPIOR25, 5
.equ GPIOR26, 6
.equ GPIOR27, 7

.equ SPCR, 0x2C
.equ SPR0, 0
.equ SPR1, 1
.equ CPHA, 2
.equ CPOL, 3
.equ MSTR, 4
.equ DORD, 5
.equ SPE,  6
.equ SPIE, 7

.equ SPSR, 0x2D
.equ SPI2X, 0
.equ WCOL, 6
.equ SPIF, 7

.equ SPDR, 0x2E
.equ SPDR0, 0
.equ SPDR1, 1
.equ SPDR2, 2
.equ SPDR3, 3
.equ SPDR4, 4
.equ SPDR5, 5
.equ SPDR6, 6
.equ SPDR7, 7

.equ ACSR, 0x30
.equ ACIS0, 0
.equ ACIS1, 1
.equ ACIC, 2
.equ ACIE, 3
.equ ACI, 4
.equ ACO, 5
.equ ACBG, 6
.equ ACD, 7

; On-chip Debug Register
.equ OCDR, 0x31
.equ IDRD,   7
.equ OCDR7,  7
.equ OCDR6,  6
.equ OCDR5,  5
.equ OCDR4,  4
.equ OCDR3,  3
.equ OCDR2,  2
.equ OCDR1,  1
.equ OCDR0,  0

; Sleep Mode Control Register
.equ SMCR, 0x33
.equ SE, 0
.equ SM0, 1
.equ SM1, 2
.equ SM2, 3

.equ MCUSR, 0x34
.equ PORF, 0
.equ EXTRF,1
.equ BORF, 2
.equ WDRF, 3
.equ JTRF, 4

.equ MCUCR, 0x35
.equ IVCE,  0
.equ IVSEL, 1
.equ PUD,   4
.equ JTD,   7

; Store Program Memory Control and Status Register
.equ SPMCSR, 0x37
.equ SPMEN, 0
.equ PGERS, 1
.equ PGWRT, 2
.equ BLBSET, 3
.equ RWWSRE, 4
.equ RWWSB, 6
.equ SPMIE, 7

; Watchdog Timer Control Register
.equ WDTCSR, 0x60
.equ WDP0, 0
.equ WDP1, 1
.equ WDP2, 2
.equ WDE,  3
.equ WDCE, 4

.equ CLKPR, 0x61
.equ CLKPS0, 0
.equ CLKPS1, 1
.equ CLKPS2, 2
.equ CLKPS3, 3
.equ CLKPCE, 7

.equ PRR, 0x64
.equ PRADC, 0
.equ PRUSART0, 1
.equ PRSPI, 2
.equ PRTIM1, 3
.equ PRLCD, 4

.equ OSCCAL, 0x66
.equ CAL0, 0
.equ CAL1, 1
.equ CAL2, 2
.equ CAL3, 3
.equ CAL4, 4
.equ CAL5, 5
.equ CAL6, 6
.equ CAL7, 7

.equ EICRA, 0x69
.equ ISC00, 0
.equ ISC01, 1

.equ PCMSK0, 0x6B
.equ PCINT0, 0
.equ PCINT1, 1
.equ PCINT2, 2
.equ PCINT3, 3
.equ PCINT4, 4
.equ PCINT5, 5
.equ PCINT6, 6
.equ PCINT7, 7

.equ PCMSK1, 0x6C
.equ PCINT8,  0
.equ PCINT9,  1
.equ PCINT10, 2
.equ PCINT11, 3
.equ PCINT12, 4
.equ PCINT13, 5
.equ PCINT14, 6
.equ PCINT15, 7

.equ TIMSK0, 0x6E
.equ TOIE0, 0
.equ OCIE0A, 1

.equ TIMSK1, 0x6F
.equ TOIE1, 0
.equ OCIE1A, 1
.equ OCIE1B, 2
.equ ICIE1, 5

.equ TIMSK2, 0x70
.equ TOIE2, 0
.equ OCIE2A, 1

.equ ADCW, 0x78

.equ ADCL, 0x78
.equ ADCL0, 0
.equ ADCL1, 1
.equ ADCL2, 2
.equ ADCL3, 3
.equ ADCL4, 4
.equ ADCL5, 5
.equ ADCL6, 6
.equ ADCL7, 7

.equ ADCH, 0x79
.equ ADCH0, 0
.equ ADCH1, 1
.equ ADCH2, 2
.equ ADCH3, 3
.equ ADCH4, 4
.equ ADCH5, 5
.equ ADCH6, 6
.equ ADCH7, 7

.equ ADCSRA, 0x7A
.equ ADPS0, 0
.equ ADPS1, 1
.equ ADPS2, 2
.equ ADIE, 3
.equ ADIF, 4
.equ ADATE, 5
.equ ADSC, 6
.equ ADEN, 7

.equ ADCSRB, 0x7B
.equ ADTS0, 0
.equ ADTS1, 1
.equ ADTS2, 2
.equ ACME,  6

.equ ADMUX, 0x7C
.equ MUX0, 0
.equ MUX1, 1
.equ MUX2, 2
.equ MUX3, 3
.equ MUX4, 4
.equ ADLAR, 5
.equ REFS0, 6
.equ REFS1, 7

.equ DIDR0, 0x7E
.equ ADC0D, 0
.equ ADC1D, 1
.equ ADC2D, 2
.equ ADC3D, 3
.equ ADC4D, 4
.equ ADC5D, 5
.equ ADC6D, 6
.equ ADC7D, 7

.equ DIDR1, 0x7F
.equ AIN0D, 0
.equ AIN1D, 1

.equ TCCR1A, 0x80
.equ WGM10,  0
.equ WGM11,  1
.equ COM1B0, 4
.equ COM1B1, 5
.equ COM1A0, 6
.equ COM1A1, 7

.equ TCCR1B, 0x81
.equ CS10,  0
.equ CS11,  1
.equ CS12,  2
.equ WGM12, 3
.equ WGM13, 4
.equ ICES1, 6
.equ ICNC1, 7

.equ TCCR1C, 0x82
.equ FOC1B, 6
.equ FOC1A, 7

.equ TCNT1, 0x84

.equ TCNT1L, 0x84
.equ TCNT1L0, 0
.equ TCNT1L1, 1
.equ TCNT1L2, 2
.equ TCNT1L3, 3
.equ TCNT1L4, 4
.equ TCNT1L5, 5
.equ TCNT1L6, 6
.equ TCNT1L7, 7

.equ TCNT1H, 0x85
.equ TCNT1H0, 0
.equ TCNT1H1, 1
.equ TCNT1H2, 2
.equ TCNT1H3, 3
.equ TCNT1H4, 4
.equ TCNT1H5, 5
.equ TCNT1H6, 6
.equ TCNT1H7, 7

.equ ICR1, 0x86

.equ ICR1L, 0x86
.equ ICR1L0, 0
.equ ICR1L1, 1
.equ ICR1L2, 2
.equ ICR1L3, 3
.equ ICR1L4, 4
.equ ICR1L5, 5
.equ ICR1L6, 6
.equ ICR1L7, 7

.equ ICR1H, 0x87
.equ ICR1H0, 0
.equ ICR1H1, 1
.equ ICR1H2, 2
.equ ICR1H3, 3
.equ ICR1H4, 4
.equ ICR1H5, 5
.equ ICR1H6, 6
.equ ICR1H7, 7

.equ OCR1A, 0x88

.equ OCR1AL, 0x88
.equ OCR1AL0, 0
.equ OCR1AL1, 1
.equ OCR1AL2, 2
.equ OCR1AL3, 3
.equ OCR1AL4, 4
.equ OCR1AL5, 5
.equ OCR1AL6, 6
.equ OCR1AL7, 7

.equ OCR1AH, 0x89
.equ OCR1AH0, 0
.equ OCR1AH1, 1
.equ OCR1AH2, 2
.equ OCR1AH3, 3
.equ OCR1AH4, 4
.equ OCR1AH5, 5
.equ OCR1AH6, 6
.equ OCR1AH7, 7

.equ OCR1B, 0x8A

.equ OCR1BL, 0x8A
.equ OCR1BL0, 0
.equ OCR1BL1, 1
.equ OCR1BL2, 2
.equ OCR1BL3, 3
.equ OCR1BL4, 4
.equ OCR1BL5, 5
.equ OCR1BL6, 6
.equ OCR1BL7, 7

.equ OCR1BH, 0x8B
.equ OCR1BH0, 0
.equ OCR1BH1, 1
.equ OCR1BH2, 2
.equ OCR1BH3, 3
.equ OCR1BH4, 4
.equ OCR1BH5, 5
.equ OCR1BH6, 6
.equ OCR1BH7, 7

.equ TCCR2A, 0xB0
.equ CS20,  0
.equ CS21,  1
.equ CS22,  2
.equ WGM21, 3
.equ COM2A0, 4
.equ COM2A1, 5
.equ WGM20, 6
.equ FOC2A, 7

.equ TCNT2, 0xB2
.equ TCNT2_0, 0
.equ TCNT2_1, 1
.equ TCNT2_2, 2
.equ TCNT2_3, 3
.equ TCNT2_4, 4
.equ TCNT2_5, 5
.equ TCNT2_6, 6
.equ TCNT2_7, 7

.equ OCR2A, 0xB3
.equ OCR2_0, 0
.equ OCR2_1, 1
.equ OCR2_2, 2
.equ OCR2_3, 3
.equ OCR2_4, 4
.equ OCR2_5, 5
.equ OCR2_6, 6
.equ OCR2_7, 7

.equ ASSR, 0xB6
.equ EXCLK,	4
.equ AS2,	3
.equ TCN2UB, 2
.equ OCR2UB, 1
.equ TCR2UB, 0

; USI Control Register
.equ USICR, 0xB8
.equ USISIE, 7
.equ USIOIE, 6
.equ USIWM1, 5
.equ USIWM0, 4
.equ USICS1, 3
.equ USICS0, 2
.equ USICLK, 1
.equ USITC,  0

; USI Status Register
.equ USISR, 0xB9
.equ USISIF,  7
.equ USIOIF,  6
.equ USIPF,   5
.equ USIDC,   4
.equ USICNT3, 3
.equ USICNT2, 2
.equ USICNT1, 1
.equ USICNT0, 0

; USI Data Register
.equ USIDR, 0xBA

; USART0 Control and Status Register A
.equ UCSR0A, 0xC0
.equ MPCM0, 0
.equ U2X0, 1
.equ UPE0, 2
.equ DOR0, 3
.equ FE0, 4
.equ UDRE0, 5
.equ TXC0, 6
.equ RXC0, 7

.equ UCSR0B, 0xC1
.equ TXB80, 0
.equ RXB80, 1
.equ UCSZ02, 2
.equ TXEN0, 3
.equ RXEN0, 4
.equ UDRIE0, 5
.equ TXCIE0, 6
.equ RXCIE0, 7

.equ UCSR0C, 0xC2
.equ UCPOL0, 0
.equ UCSZ00, 1
.equ UCSZ01, 2
.equ USBS0, 3
.equ UPM00, 4
.equ UPM01, 5
.equ UMSEL00, 6

.equ UBRR0, 0xC4

.equ UBRR0L, 0xC4
.equ UBRR0_0, 0
.equ UBRR0_1, 1
.equ UBRR0_2, 2
.equ UBRR0_3, 3
.equ UBRR0_4, 4
.equ UBRR0_5, 5
.equ UBRR0_6, 6
.equ UBRR0_7, 7

.equ UBRR0H, 0xC5
.equ UBRR0_8, 0
.equ UBRR0_9, 1
.equ UBRR0_10, 2
.equ UBRR0_11, 3

.equ UDR0, 0xC6
.equ UDR0_0, 0
.equ UDR0_1, 1
.equ UDR0_2, 2
.equ UDR0_3, 3
.equ UDR0_4, 4
.equ UDR0_5, 5
.equ UDR0_6, 6
.equ UDR0_7, 7

; LCD Control and Status Register A
.equ LCDCRA, 0xE4
.equ LCDEN, 7
.equ LCDAB, 6
.equ LCDIF, 4
.equ LCDIE, 3
.equ LCDBD, 2
.equ LCDCCD, 1
.equ LCDBL,  0

; LCD Control and Status Register B
.equ LCDCRB, 0xE5
.equ LCDCS,	7
.equ LCD2B,	6
.equ LCDMUX1, 5
.equ LCDMUX0, 4
.equ LCDPM2, 2
.equ LCDPM1, 1
.equ LCDPM0, 0

; LCD Frame Rate Register
.equ LCDFRR, 0xE6
.equ LCDPS2, 6
.equ LCDPS1, 5
.equ LCDPS0, 4
.equ LCDCD2, 2
.equ LCDCD1, 1
.equ LCDCD0, 0

; LCD Contrast Control Register
.equ LCDCCR, 0xE7
.equ LCDDC2, 7
.equ LCDDC1, 6
.equ LCDDC0, 5
.equ LCDMDT, 4
.equ LCDCC3, 3
.equ LCDCC2, 2
.equ LCDCC1, 1
.equ LCDCC0, 0

; LCD Memory mapping
.equ LCDDR0, 0xEC
.equ SEG007, 7
.equ SEG006, 6
.equ SEG005, 5
.equ SEG004, 4
.equ SEG003, 3
.equ SEG002, 2
.equ SEG001, 1
.equ SEG000, 0

.equ LCDDR1, 0xED
.equ SEG015, 7
.equ SEG014, 6
.equ SEG013, 5
.equ SEG012, 4
.equ SEG011, 3
.equ SEG010, 2
.equ SEG009, 1
.equ SEG008, 0

.equ LCDDR2, 0xEE
.equ SEG023, 7
.equ SEG022, 6
.equ SEG021, 5
.equ SEG020, 4
.equ SEG019, 3
.equ SEG018, 2
.equ SEG017, 1
.equ SEG016, 0

.equ LCDDR3, 0xEF
.equ SEG024, 0

.equ LCDDR5, 0xF1
.equ SEG107, 7
.equ SEG106, 6
.equ SEG105, 5
.equ SEG104, 4
.equ SEG103, 3
.equ SEG102, 2
.equ SEG101, 1
.equ SEG100, 0

.equ LCDDR6 , 0xF2
.equ SEG115, 7
.equ SEG114, 6
.equ SEG113, 5
.equ SEG112, 4
.equ SEG111, 3
.equ SEG110, 2
.equ SEG109, 1
.equ SEG108, 0

.equ LCDDR7, 0xF3
.equ SEG123, 7
.equ SEG122, 6
.equ SEG121, 5
.equ SEG120, 4
.equ SEG119, 3
.equ SEG118, 2
.equ SEG117, 1
.equ SEG116, 0

.equ LCDDR8, 0xF4
.equ SEG124, 0

.equ LCDDR10, 0xF6
.equ SEG207, 7
.equ SEG206, 6
.equ SEG205, 5
.equ SEG204, 4
.equ SEG203, 3
.equ SEG202, 2
.equ SEG201, 1
.equ SEG200, 0

.equ LCDDR11, 0xF7
.equ SEG215, 7
.equ SEG214, 6
.equ SEG213, 5
.equ SEG212, 4
.equ SEG211, 3
.equ SEG210, 2
.equ SEG209, 1
.equ SEG208, 0

.equ LCDDR12, 0xF8
.equ SEG223, 7
.equ SEG222, 6
.equ SEG221, 5
.equ SEG220, 4
.equ SEG219, 3
.equ SEG218, 2
.equ SEG217, 1
.equ SEG216, 0

.equ LCDDR13, 0xF9
.equ SEG224, 0

.equ LCDDR15, 0xFB
.equ SEG307, 7
.equ SEG306, 6
.equ SEG305, 5
.equ SEG304, 4
.equ SEG303, 3
.equ SEG302, 2
.equ SEG301, 1
.equ SEG300, 0

.equ LCDDR16, 0xFC
.equ SEG315, 7
.equ SEG314, 6
.equ SEG313, 5
.equ SEG312, 4
.equ SEG311, 3
.equ SEG310, 2
.equ SEG309, 1
.equ SEG308, 0

.equ LCDDR17, 0xFD
.equ SEG323, 7
.equ SEG322, 6
.equ SEG321, 5
.equ SEG320, 4
.equ SEG319, 3
.equ SEG318, 2
.equ SEG317, 1
.equ SEG316, 0

.equ LCDDR18, 0xFE
.equ SEG324, 0

; LCDDR0-18
.equ SEG24, 0

.equ SEG23, 7
.equ SEG22, 6
.equ SEG21, 5
.equ SEG20, 4
.equ SEG19, 3
.equ SEG18, 2
.equ SEG17, 1
.equ SEG16, 0

.equ SEG15, 7
.equ SEG14, 6
.equ SEG13, 5
.equ SEG12, 4
.equ SEG11, 3
.equ SEG10, 2
.equ SEG9,  1
.equ SEG8,  0

.equ SEG7,  7
.equ SEG6,  6
.equ SEG5,  5
.equ SEG4,  4
.equ SEG3,  3
.equ SEG2,  2
.equ SEG1,  1
.equ SEG0,  0

.equ SP,   0x3d
.equ SPL,  0x3d
.equ SPH,  0x3e

.equ SREG, 0x3f
.equ SREG_C, 0
.equ SREG_Z, 1
.equ SREG_N, 2
.equ SREG_V, 3
.equ SREG_S, 4
.equ SREG_H, 5
.equ SREG_T, 6
.equ SREG_I, 7

        .list
