        .nolist

        .macro LOOP
my_loop:
        rjmp    my_loop
        .endm

		.macro ISR_PUSH_SREG_R16
        push    r16
        in      r16,SREG
        push    r16
        .endm

        .macro ISR_POP_SREG_R16_RETI
        pop     r16
        out     SREG,r16
        pop     r16
        reti
        .endm

        .macro CASE_R16 VALUE NEXT_CASE
        cpi     r16,(\VALUE)
        brne    (\NEXT_CASE)
        .endm

		.macro STS_IMM ADDRESS VALUE
		ldi		r16,(\VALUE)
		sts     (\ADDRESS),r16
		.endm

        .macro OUT_PORT16 PORT VALUE
        ldi     r16,hi8(\VALUE)
        .if (\PORT > 0x40)
        sts     (\PORT+1),r16
        .else
		out     (\PORT+1),r16
		.endif
        ldi     r16,lo8(\VALUE)
        .if (\PORT > 0x40)
        sts     (\PORT),r16
        .else
		out		(\PORT),r16
		.endif
        .endm

		.macro OUT_PORT PORT VALUE
		ldi		r16,\VALUE
		.if (\PORT > 0x40)
		sts     \PORT,r16
		.else
		out     \PORT,r16
		.endif
		.endm

		.macro LD_IMM REG VALUE
		ldi		r16,\VALUE
		mov		\REG,r16
		.endm

		.macro CP_IMM REG VALUE
		ldi		r16,\VALUE
		cp		\REG,r16
		.endm

		.macro SUB_IMM REG VALUE
		ldi		r16,\VALUE
		sub		\REG,r16
		.endm

		.macro ADD_IMM REG VALUE
		ldi		r16,\VALUE
		add		\REG,r16
		.endm

		.macro AND_IMM REG VALUE
		ldi		r16,\VALUE
		and		\REG,r16
		.endm

		.macro OR_IMM REG VALUE
		ldi		r16,\VALUE
		or		\REG,r16
		.endm

		.macro ADI_REG REG VALUE
		subi	\REG,(-(\VALUE)) & 0xff
		.endm

		.macro LDS_S ADDRESS
        lds     r16,\ADDRESS
        lds     r17,(\ADDRESS)+1
        .endm

		.macro STS_S ADDRESS
        sts     \ADDRESS,r16
        sts     (\ADDRESS)+1,r17
        .endm

		.macro LDI_S VALUE
		ldi		r16,lo8(\VALUE)
		ldi		r17,hi8(\VALUE)
		.endm

		.macro LDI_T VALUE
		ldi		r18,lo8(\VALUE)
		ldi		r19,hi8(\VALUE)
		.endm

		.macro LDI_U VALUE
		ldi		r20,lo8(\VALUE)
		ldi		r21,hi8(\VALUE)
		.endm

		.macro LDI_V VALUE
		ldi		r22,lo8(\VALUE)
		ldi		r23,hi8(\VALUE)
		.endm

		.macro LDI_W VALUE
		ldi		r24,lo8(\VALUE)
		ldi		r25,hi8(\VALUE)
		.endm

		.macro LDI_X VALUE
		ldi		r26,lo8(\VALUE)
		ldi		r27,hi8(\VALUE)
		.endm

		.macro LDI_Y VALUE
		ldi		r28,lo8(\VALUE)
		ldi		r29,hi8(\VALUE)
		.endm

		.macro LDI_Z VALUE
		ldi		r30,lo8(\VALUE)
		ldi		r31,hi8(\VALUE)
		.endm

        .macro TST_S
        or      r16,r17
        .endm

        .macro TST_T
        or      r18,r19
        .endm

        .macro CLR_S
        clr     r16
        clr     r17
        .endm

        .macro CLR_T
        clr     r18
        clr     r19
        .endm

        .macro CLR_U
        clr     r20
        clr     r21
        .endm

        .macro CLR_V
        clr     r22
        clr     r23
        .endm

        .macro CLR_W
        clr     r24
        clr     r25
        .endm

        .macro INC_S
        sec
        adc     r16,r0
        adc     r17,r0
        .endm

        .macro DEC_S
        subi    r16,1
        sbci    r17,0
        .endm

        .macro INC_T
        sec
        adc     r18,r0
        adc     r19,r0
        .endm

        .macro INC_U
        sec
        adc     r20,r0
        adc     r21,r0
        .endm

        .macro INC_V
        sec
        adc     r22,r0
        adc     r23,r0
        .endm

        .macro INC_W
        sec
        adc     r24,r0
        adc     r25,r0
        .endm

        .macro DEC_T
        subi    r18,1
        sbci    r19,0
        .endm

        .macro LSL_T
        lsl     r18
        rol     r19
        .endm

        .macro LSR_T
        lsr     r19
        ror     r18
        .endm

		.macro LSL_U
		lsl		r20
		rol		r21
		.endm

		.macro LSR_U
		lsr		r21
		ror		r20
		.endm

		.macro ROR_U
		ror		r21
		ror		r20
		.endm

        .macro RETZ
        brne    1f
        ret
1:
        .endm

        .macro PUSH_S
        push    r16
        push    r17
        .endm

        .macro POP_S
        pop     r17
        pop     r16
        .endm

        .macro PUSH_T
        push    r18
        push    r19
        .endm

        .macro POP_T
        pop     r19
        pop     r18
        .endm

        .macro PUSH_U
        push    r20
        push    r21
        .endm

        .macro POP_U
        pop     r21
        pop     r20
        .endm

		.macro EX_TU
		push	r21
		push	r20
		mov		r21,r19
		mov		r20,r18
		pop		r18
		pop		r19
		.endm

        .list
